---
updatedAt: 2025-06-05T21:57:11.000Z
agentTools:
  projectIndex: https://developers.infolink.skysite.com/llms.txt
---

# Update Contact

**Remarks:**

1. In Request Body: *fields is objects so this fields have their own properties. Below is the property info:\
   a.* State – StateName and StateID\
   b.	 *Country – CountryName and CountryID\
   c.*&#x54;imeZone – TimeZoneName and TimeZoneID\
   d.     *Business - PropertyID and OtherValue\
   e.* Occupation - PropertyID and OtherValue

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "facilities-production",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://fa.skysite.com/web"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/api/Contact/Update": {
      "post": {
        "summary": "Update Contact",
        "description": "",
        "operationId": "update-contactcontactlist-1",
        "parameters": [
          {
            "name": "Accept-Language",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "en-US"
            }
          },
          {
            "name": "Accept-Encoding",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "gzip"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "TokenKey",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "PWContactID",
                  "Email",
                  "FirstName",
                  "*State",
                  "*Country",
                  "*TimeZone"
                ],
                "properties": {
                  "PWContactID": {
                    "type": "string"
                  },
                  "CompanyName": {
                    "type": "string"
                  },
                  "Address1": {
                    "type": "string"
                  },
                  "Address2": {
                    "type": "string"
                  },
                  "Email": {
                    "type": "string"
                  },
                  "Fax": {
                    "type": "string"
                  },
                  "FirstName": {
                    "type": "string"
                  },
                  "LastName": {
                    "type": "string"
                  },
                  "PhoneWork": {
                    "type": "string"
                  },
                  "*State": {
                    "type": "string"
                  },
                  "*Country": {
                    "type": "string"
                  },
                  "City": {
                    "type": "string"
                  },
                  "ZipCode": {
                    "type": "string"
                  },
                  "*TimeZone": {
                    "type": "string"
                  },
                  "Notes": {
                    "type": "string"
                  },
                  "*Business": {
                    "type": "object",
                    "properties": {}
                  },
                  "*Occupation": {
                    "type": "object",
                    "properties": {}
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```